← Back to listing
POST/api/v1/calls/upload

Upload Call

Uploads a call. You can either provide a mediaUrl in the body or upload a file directly.

Authentication

Send your API key in the x-api-key header.

x-api-keybearer

Request body

required

Call data and optional file upload

PublicApiCallUploadRequestDto

namerequired

string

Name of the call for uploading

mediaUrl

string

URL of the media file to upload (alternative to file upload)

startDateTimerequired

string (date-time)

Scheduled start date and time of the call

description

string

Description of the call

fromNumber

string

Phone number of the caller

toNumber

string

Phone number of the callee

file

string (binary)

Audio file to upload (alternative to mediaUrl). It must be a valid mp3 / wav file

ownerId

string

ID of the user who owns this call

personIds

array<string>

Array of person IDs for call participants. Use comma to separate values. Recommendation: include the owner's personId here to guarantee feedback generation.

Example request

json
{
  "name": "Sales Call Recording",
  "mediaUrl": "https://example.com/upload/call_recording.mp3",
  "startDateTime": "2024-07-18T14:00:00.000Z",
  "description": "Recording of the sales call with Acme Corp.",
  "fromNumber": "+1234567890",
  "toNumber": "+0987654321",
  "file": "",
  "ownerId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
  "personIds": [
    "5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
  ]
}

Responses

201

PublicApiPostCallUploadResponseDto

statusCoderequired

number

countrequired

number

errorrequired

string

datarequired

PublicApiCallUploadResponseDto

Example response

json
{
  "statusCode": 200,
  "count": 0,
  "error": null,
  "data": {
    "callId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d"
  }
}
401Unauthorized - missing or invalid API key or Bearer token